/*--------------------------------------------------------------
# Developer Css
--------------------------------------------------------------*/
.has-validation label{
    width: 100%;
    margin-top: 0.25rem;
    font-size: .875em;
    color: var(--bs-form-invalid-color);
}

.error_fn span{
	color: var(--bs-form-invalid-color);
}
table.dataTable.no-footer {
  border-bottom: 1px solid #ccc !important;
}

table.dataTable tbody th,
table.dataTable tbody td {
  padding: 10px;
}

.sitecolor_text {
  color: #f26459 !important;
  font-weight: 700;
}
.sitecolor {
  color: #f26459 !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current,
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover,
.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
  color: white !important;
  background: #f26459;
  border: 1px solid #f26459;
}

.card-title button {
  margin-left: 8px
}

.card-body .filter_timelog_by {
  margin-top: 20px;
}

.dataTables_wrapper .dataTables_filter input {
  padding: 6px;
  border-radius: 0.25rem;
  border: 1px solid #dee2e6;
}

.btn-primary {
  background-color: #f26459 !important;
  border-color: #f26459 !important;
}

.btn-outline-primary , .btn-outline-primary:hover{
  border-color: #f26459 !important;
  color: #f26459 !important;
  background-color: white !important;
}

.dataTables_filter{
  margin-bottom: 12px;
}

#reportrange{
  border-radius : 0.375rem;
  padding: 0.375rem 2.25rem 0.375rem 0.75rem !important;
}

input[type="date"] {
  display: inline-block;
  position: relative;
}

input[type="date"]::-webkit-calendar-picker-indicator {
  background: transparent;
  bottom: 0;
  color: transparent;
  cursor: pointer;
  height: auto;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  width: auto;
}

.card-title a{
  padding-left: 10px;
}
.updatelog, .updatecancel{
  background: transparent;
  border: none;
  color: #f26459;
}
.multiple_form #submit_log{
  display: none;
}

.loglist_form .text-right{
  display: flex;
  justify-content: end;
  gap: 5px;
}
.loglist_form .updatelog, .loglist_form .updatecancel {
    background: #f1f1f1;
    padding: 5px;
    height: 27px;
    width: 27px;
    display: flex;
    align-items: center;
    border: 1px solid #cccccc;
}

/** css added AM **/

.log-delete-btn{
  padding: 5px 8px;
  margin-top: 4px;
}

.project_td,.task_td{
  width: 20%;
}
.weekly_table_container_prcb{
  width: 100%;
  overflow-x: auto;
}
/* Scrollbar Styling */
::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-track {
  background-color: #fff;
  -webkit-border-radius: unset;
  border-radius: unset;
}

::-webkit-scrollbar-thumb {
  /* -webkit-border-radius: unset;
  border-radius: unset; */
  background: #6d6d6d; 
  border: 3px solid transparent;
  border-radius: 9px;
  background-clip: content-box;
}
.added_hours{
  background-color: #ddd;
}

.page-template-timelog-dashboard-template  .dropdown.bootstrap-select.filter_timelog_by_val{
  width:25%;
}
.week_total{
  color: #f26459 !important;
  font-weight: 700;
}
/*.multitimelog_project_drp{
  width: 90% !important;
}
.multitimelog_task_drp{
  width: 90% !important;
}
td.project_td > .form-group > .multitimelog_project_drp .dropdown-menu.show{
  position: relative !important;
  z-index: 0 !important;
  inset: -39px auto auto 0px !important;
}
td.task_td > .form-group > .multitimelog_task_drp .dropdown-menu.show{
  position: relative !important;
  z-index: 0 !important;
  inset: -39px auto auto 0px !important;
}*/

.filter_selectoption_div > .bootstrap-select.filter_timelog_by_val .dropdown-menu.show{
      max-height: 200px !important;
}

td.project_td .select2-container .select2-selection--single,td.task_td .select2-container .select2-selection--single{
  height: 38px;
}

td.project_td .select2-container--default .select2-selection--single .select2-selection__rendered,td.task_td .select2-container--default .select2-selection--single .select2-selection__rendered{
   line-height: 35px;
}

.weekly_log_start_end_date{
  display: none;
}

@media screen and (max-width:1366px){
  table#timelog_weekely_form_table {
    width: 1500px;
  }
}

@media screen and (max-width:480px){
  table#timelog_weekely_form_table {
    overflow-x:unset;
  }
}

@media (min-width: 576px){
  #timelog_all_project_table .col-sm-1{
   width:7.14% !important;
  }

  .page-template-timelog-dashboard-template #timelog_dashboard_datatable .col-sm-1{
     width: 7.69%;
  }
}